aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Fischer <martin@push-f.com>2026-01-25 10:54:29 +0100
committerMartin Fischer <martin@push-f.com>2026-01-25 18:14:41 +0100
commitc3c794b4a779c4ae8319711c688b77dd9191c749 (patch)
treed4c7e276fbb06b4dbc2fd3e62c1f4061b68bde14
parentf356eebce20050e35005ccba926f9c29f3d76039 (diff)
fix(workstation): make ed not launch editor on Ctrl+C
-rwxr-xr-xnixos/profiles/workstation/scripts/ed3
1 files changed, 2 insertions, 1 deletions
diff --git a/nixos/profiles/workstation/scripts/ed b/nixos/profiles/workstation/scripts/ed
index a3dd433..bed7d79 100755
--- a/nixos/profiles/workstation/scripts/ed
+++ b/nixos/profiles/workstation/scripts/ed
@@ -1,2 +1,3 @@
#!/usr/bin/env bash
-$VISUAL $(find . -not -path "*/.*" | sk --no-info "$@")
+files=$(find . -not -path "*/.*" | sk --no-info "$@") || exit
+$VISUAL "$files"